<?xml version="1.0" encoding="utf-8"?>
<foliageType xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="../../../shared/xml/schema/foliageType.xsd">
    <fruitType name="millet" shownOnMap="true" useForFieldMissions="true">
        <mapColors default="0.5149 0.0762 0.0144 1" colorBlind="0.0630 0.0595 0.0331 1"/>
        <harvest litersPerSqm="0.4365" cutHeight="0.75" forageCutHeight="0.15" chopperType="CHOPPER_STRAW"/>
        <growth resetsSpray="true" growthRequiresLime="true"/>
        <soil lowDensityRequired="true" increasesDensity="false" consumesLime="true" startSprayLevel="0"/>
        <seeding directionSnapAngle="0" needsRolling="true" seedUsagePerSqm="0.011" isAvailable="true"/>
        <cultivation isAllowed="true"/>
        <mulcher chopperType="CHOPPER_STRAW"/>
    </fruitType>
    <!-- millet

    0 1 2 3

    1 0 0 0 - invisible
    0 1 0 0 - green small
    1 1 0 0 - green middle
    0 0 1 0 - green big
    1 0 1 0 - harvest ready
    0 1 1 0 - dead
    1 1 1 0 - harvested (cut)

    -->
    <foliageLayer cellSize="8" objectMask="16711935" decalLayer="0" densityMapChannelOffset="0" numDensityMapChannels="4" numBlocksPerUnit="1.6" shapeSource="millet.i3d">
        <foliageStateDefaults distanceMapLayer="1" width="1.0" height="0.8" widthVariance="0" heightVariance="0.2" horizontalPositionVariance="0" />
        <!-- default LOD distances etc -->
        <foliageLodDefaults lod="0" viewDistance="20" blendOutDistance="2" atlasSize="1" atlasOffset="1 0" texCoords="0 0 1 1" />
        <foliageLodDefaults lod="1" viewDistance="80" blendOutDistance="2" atlasSize="1" atlasOffset="1 0" texCoords="0 0 1 1" />
        <!-- 1 0 0 0 - invisible -->
        <foliageState name="invisible" isGrowing="true" allowsWeeding="true" allowsHoeing="true" />
        <!-- 0 1 0 0 - green small -->
        <foliageState name="Small" numBlocksPerUnit="2.7" distanceMap="distanceMaps/foliage_millet_distance_diffuse.png" isGrowing="true" allowsWeeding="true" allowsHoeing="true" >
            <foliageShape>
                <foliageLod blockShape="0>0|0"/>
                <foliageLod blockShape="0>1|0"/>
            </foliageShape>
            <foliageShape>
                <foliageLod blockShape="0>0|1"/>
                <foliageLod blockShape="0>1|0"/>
            </foliageShape>
        </foliageState>
        <!-- 1 1 0 0 - green middle -->
        <foliageState name="Medium" numBlocksPerUnit="2.0" distanceMap="distanceMaps/foliage_millet_distance_diffuse.png" isGrowing="true" allowsWeeding="true" isDestructibleByWheel="true" isDestructibleByDisaster="true" fieldCourseLineHeight="0.5">
            <foliageShape>
                <foliageLod blockShape="0>0|2"/>
                <foliageLod blockShape="0>1|1"/>
            </foliageShape>
            <foliageShape>
                <foliageLod blockShape="0>0|3"/>
                <foliageLod blockShape="0>1|1"/>
            </foliageShape>
        </foliageState>
        <!-- 0 0 1 0 - green big -->
        <foliageState name="Big" distanceMap="distanceMaps/foliage_millet_distance_diffuse.png" isGrowing="true" isForageReady="true" isDestructibleByWheel="true" isDestructibleByDisaster="true" fieldCourseLineHeight="0.85">
            <foliageShape>
                <foliageLod blockShape="0>0|4"/>
                <foliageLod blockShape="0>1|2"/>
            </foliageShape>
            <foliageShape>
                <foliageLod blockShape="0>0|5"/>
                <foliageLod blockShape="0>1|2"/>
            </foliageShape>
        </foliageState>
        <!-- 1 0 1 0 - harvest ready -->
        <foliageState name="Ready" distanceMap="distanceMaps/foliage_millet_distanceReady_diffuse.png" isGrowing="true" isDestructibleByWheel="true" isDestructibleByDisaster="true" isHarvestReady="true" groundType="HARVEST_READY_OTHER">
            <foliageShape>
                <foliageLod blockShape="0>0|6"/>
                <foliageLod blockShape="0>1|3"/>
            </foliageShape>
            <foliageShape>
                <foliageLod blockShape="0>0|7"/>
                <foliageLod blockShape="0>1|3"/>
            </foliageShape>
        </foliageState>
        <!-- 0 1 1 0 - dead -->
        <foliageState name="Bad" distanceMap="distanceMaps/foliage_millet_distanceBad_diffuse.png" isWithered="true" isDestructibleByWheel="true" isDestructibleByDisaster="true" fieldCourseLineHeight="0.85">
            <foliageShape>
                <foliageLod blockShape="0>0|8"/>
                <foliageLod blockShape="0>1|4"/>
            </foliageShape>
            <foliageShape>
                <foliageLod blockShape="0>0|9"/>
                <foliageLod blockShape="0>1|4"/>
            </foliageShape>
        </foliageState>
        <!-- 1 1 1 0 - harvested (cut) -->
        <foliageState name="Cut" height="0.75" isCut="true" isDestructedByWheel="true" isDestructedByDisaster="true">
            <foliageShape>
                <foliageLod blockShape="0>0|10"/>
                <foliageLod blockShape="0>1|5"/>
            </foliageShape>
            <foliageShape>
                <foliageLod blockShape="0>0|11"/>
                <foliageLod blockShape="0>1|5"/>
            </foliageShape>
        </foliageState>
        <!--  -->
    </foliageLayer>

    <growth>
        <seasonal initialState="Ready">
            <period name="EARLY_SPRING"/>
            <period name="MID_SPRING" plantingAllowed="true">
                <update startState="invisible" endState="Small" />
            </period>
            <period name="LATE_SPRING" plantingAllowed="true">
                <update startState="invisible" endState="Small" />
                <update startState="Small" endState="Medium" />
            </period>
            <period name="EARLY_SUMMER">
                <update startState="Small" endState="Medium" />
                <update startState="Medium" endState="Big" />
            </period>
            <period name="MID_SUMMER">
                <update startState="Medium" endState="Big" />
                <update startState="Big" endState="Ready" />
            </period>
            <period name="LATE_SUMMER">
                <update startState="Big" endState="Ready" />
                <update startState="Ready" endState="Bad" />
            </period>
            <period name="EARLY_AUTUMN">
                <update startState="Ready" endState="Bad" />
            </period>
            <period name="MID_AUTUMN"/>
            <period name="LATE_AUTUMN"/>
            <period name="EARLY_WINTER"/>
            <period name="MID_WINTER"/>
            <period name="LATE_WINTER"/>
        </seasonal>
        <nonSeasonal>
            <update startState="invisible"       endState="Small" />
            <update startState="Small"           endState="Medium" />
            <update startState="Medium"          endState="Big" />
            <update startState="Big"             endState="Ready" />
            <update startState="Ready"           endState="Bad" />
        </nonSeasonal>
    </growth>
</foliageType>